## debian-faq 4.0.4

=== es/Makefile ===
#
# Makefile for the Debian FAQ
#
# Should work both for a manual in the Debian Documentation Project
# manuals.sgml tree, and for doc-debian package build.

manual := debian-faq

currentlang := $(notdir $(CURDIR))
currentlangcn := $(subst _,-,$(shell echo $(currentlang) | tr A-Z a-z))

# this can and will be overriden by a higher level makefile
PUBLISHDIR := /org/www.debian.org/www/doc/manuals

sources := $(manual).sgml faqstatic.ent ../faqdynamic.ent $(wildcard *.sgml)

export LANG=C
# stupid debiandoc stuff uses strings in another language otherwise

all: html text ps pdf

publish: all
	test -d $(PUBLISHDIR)/$(manual) || install -d -m 755 $(PUBLISHDIR)/$(manual)
	rm -f $(PUBLISHDIR)/$(manual)/*.$(currentlangcn).html
	install -p -m 644 $(manual).$(currentlang).html/*.html $(PUBLISHDIR)/$(manual)
	install -p -m 644 $(manual)*.txt $(manual)*.ps $(manual)*.pdf $(PUBLISHDIR)/$(manual)

faqstatic.ent:
	ln -sf ../$@ .

../faqdynamic.ent:
	cd .. && $(MAKE) faqdynamic.ent

validate:
	nsgmls -ges -wall $(manual).sgml

html: $(manual).$(currentlang).html/index.$(currentlangcn).html
$(manual).$(currentlang).html/index.$(currentlangcn).html: $(sources)
	rm -rf $(manual).html $(manual).$(currentlang).html
	debiandoc2html -c -l $(currentlang) $<
	mv $(manual).html $(manual).$(currentlang).html

text: $(manual).$(currentlang).txt
$(manual).$(currentlang).txt: $(sources)
	debiandoc2text -l $(currentlang) $<
	mv $(manual).txt $(manual).$(currentlang).txt

$(manual).$(currentlang).info: $(sources)
	debiandoc2info -l $(currentlang) $<
# TODO: rename to .$(currentlang).info?

$(manual).$(currentlang).ps $(manual).$(currentlang).dvi $(manual).$(currentlang).pdf: \
  $(manual).$(currentlang).%: $(sources)
	debiandoc2latex$* -l $(currentlang) $<
	mv $(manual).$* $(manual).$(currentlang).$*

ps dvi pdf info: %: $(manual).$(currentlang).%

clean distclean:
	rm -rf $(manual)*.$(currentlang).html
	rm -f $(manual)*.{txt,ps,dvi,pdf,info*,aux,log,man,tex,toc,sasp*}
	rm -f *~ .*~ core tsa*

.PHONY: all publish clean distclean validate

=== debian/changelog ===
debian-faq (4.0.4) unstable; urgency=high

  * Urgency set to high to get this into lenny.  The only changes since last
    accepted upload (4.0.2) are: Fix FTBFS and translation updates.
  [ Changes by Joost van Baal ]
  * debian/control: change priority from standard to optional: sync with
    Debian archive's override file.

 -- Joost van Baal <joostvb@debian.org>  Wed, 06 Aug 2008 08:06:02 +0200

debian-faq (4.0.3) unstable; urgency=high

  * Urgency set to high to get this into lenny.  The only changes are: Fix
    FTBFS and translation updates.
  [ Changes by Frank Lichtenheld ]
  * debian/control: Add the Recommends from latex-cjk-chinese to the
    Build-Dependencies to fix FTBFS. (Closes: #479915)
  [ Changes by Simon Paillard ]
  * fr/software.sgml, fr/uptodate.sgml, fr/pkgtools.sgml, fr/choosing.sgml:
    Proofread [Stéphane Blondon]
  * fr/pkgtools.sgml: Proofread [Geoffroy Youri]
  * fr/pkgtools.sgml: Sync pkgtools.sgml with EN r5009 [Simon Paillard]
  * fr/redist.sgml: Proofread [Simon Paillard]
  * fr/software.sgml: Proofread [Cyril Brulebois]
  [ Changes by Jens Seidel ]
  * de/faqinfo.sgml, de/customizing.sgml, de/basic_defs.sgml: Translation
    update by Benjamin Eckenfels
  * de/customizing.sgml, de/contrib.sgml, de/basic_defs.sgml: Proofreading
  * de/contrib.sgml: Some improvements by Benjamin Eckenfels
  * de/basic_defs.sgml: Proofreading by Martin Horoba and Benjamin Eckenfels
  * de/compat.sgml: Minor German translation update from Benjamin Eckenfels
    also incooperating a few fixes found by Martin Horoba.

 -- Joost van Baal <joostvb@debian.org>  Wed, 06 Aug 2008 07:38:30 +0200

debian-faq (4.0.2) unstable; urgency=low

  [ Changes by Joost van Baal ]
  * Makefile: make sure version is found: no more "CVS" on titlepage.
  [ Changes by Simon Paillard ]
  * fr/choosing.sgml: Initial translation [Simon Paillard, Thomas Péteul],
    Proofread [ Florent USSEIL ]

 -- Joost van Baal <joostvb@debian.org>  Sun, 25 May 2008 20:30:39 +0200

debian-faq (4.0.1) unstable; urgency=low

  [ Changes by Joost van Baal ]
  * debian/control: Add missing Build-Depends-Indep latex-cjk-chinese, needed
    for generating debian-faq-zh-cn's debian-faq.zh_CN.pdf and
    debian-faq.zh_CN.ps.  Thanks Lucas Nussbaum.  (Closes: #479915)
  * Added old debian/changelog entries from doc-debian package: history of
    the Debian GNU/Linux FAQ is recorded there.
  * fr/debian-faq.sgml, fr/choosing.sgml: Add dummy file fr/choosing.sgml in
    order to get rid of undefined identifier `choosing' (and fix fatal
    error in build).
  [ Changes by Simon Paillard ]
  * fr/customizing.sgml, fr/ftparchives.sgml: Proofread back from 2006
    [Jean-Luc Coulon, Cyril Brulebois]
  * fr/faqinfo.sgml, fr/contrib.sgml, fr/customizing.sgml, fr/basic_defs.sgml,
    fr/compat.sgml, fr/getting.sgml: Proofread [Thomas Péteul]
  * fr/ftparchives.sgml: Sync with EN r4992; fr/faqinfo.sgml: Sync with EN
    r4818; fr/contrib.sgml: Sync with EN r5023; fr/customizing.sgml: Sync with
    EN r5016; fr/getting.sgml: Sync with EN r4980; fr/kernel.sgml: Sync with
    EN r5015; fr/nexttime.sgml: Sync with EN r5156; fr/pkg_basics.sgml: Sync
    with EN r5004
  * fr/redist.sgml, fr/software.sgml, fr/support.sgml,
    fr/uptodate.sgml: Sync with EN [Thomas Péteul]
  * fr/ftparchives.sgml: Update paragraph about old versions [Remys Morrisset]
  * fr/getting.sgml: Proofread [Thomas Péteul, Stephane Blondon]
  * fr/kernel.sgml: Proofread [Stephane Blondon]
  * fr/nexttime.sgml, fr/pkg_basics.sgml: Proofread [Thomas Péteul]
  [ Changes by Jens Seidel ]
  * de/choosing.sgml, de/debian-faq.sgml, de/faqinfo.sgml, de/nexttime.sgml:
    Translation update by Benjamin Eckenfels.

 -- Joost van Baal <joostvb@debian.org>  Sun, 25 May 2008 20:26:22 +0200

debian-faq (4.0) unstable; urgency=low

  * The Debian FAQ is now maintained using SVN (no longer using CVS.)
  [ Changes by Joost van Baal ]
  * The Debian FAQ's debian/ packaging stuff is now maintained using a
    revision control system: SVN on Alioth.
    - debian/control:  Add Vcs-* headers.
  * This package no longer is called doc-debian, but debian-faq; it contains
    the Debian GNU/Linux FAQ only.  See doc-debian's debian/changelog for
    the history of the Debian GNU/Linux FAQ. (Closes: #473998)
    - debian/rules: remove stuff referring to constitution or social-contract.
    - debian/{prerm,postinst}: remove stuff referring to reporting-bugs,
      manifesto, mailing-lists or social-contract.
    - debian/control: package is now called debian-faq, not doc-debian.  Rewrote
      package description.  Add Conflicts: doc-debian <= 3.1.5.
    - debian/copyright: remove license conditions of non-FAQ documents.
  * debian/control: add Homepage header.
  * debian/control: add myself to Uploaders, after ack from jfs.
  * debian/rules: faq no longer is in FAQ/, but in .: adjust build rules.
  * debian/doc-base: imported from doc-debian-3.1.5/doc-base/debian-faq.
    updated list of authors.
  * debian/control: Bump Standards-Version from 3.6.2.0 to 3.7.3 (no changes
    needed.)
  * Create new binary Debian packages debian-faq-de, debian-faq-fr,
    debian-faq-it, debian-faq-zh-cn for translations which are somewhat up to
    date and not yet available as Debian packages.  Use debhelper's dh_install
    to deal with these multiple packages: we now build-depend upon debhelper.
    When at it, use dh_installdeb, dh_gencontrol, dh_md5sums and dh_builddeb
    too.
    - debian/{rules,control}: install de, fr, it and zh_CN translations too.
    - debian/compat: enforce debhelper compatibility level 5.
    - debian/rules: build needed languages (de, fr, it and zh_CN) only.
    - debian/debian-faq-{de,fr,it,zh-cn}.{dirs,install}: add debhelper files
      for building extra binary packages.
    - debian/rules: use debhelper's dh_installchangelog, dh_installdocs and
      dh_compress to handle debian/{copyright,changelog} and doc-base stuff.
      add needed dh_clean calls.


=== debian/control ===
Source: debian-faq
Section: doc
Priority: optional
Maintainer: Javier Fernandez-Sanguino Pen~a <jfs@debian.org>
Uploaders: Pierre Machard <pmachard@debian.org>, Josip Rodin <joy-packages@debian.org>, Joost van Baal <joostvb@debian.org>
Build-Depends: debhelper (>= 5)
Build-Depends-Indep: debiandoc-sgml, tetex-bin, tetex-extra, latex-cjk-chinese,
 latex-cjk-chinese-arphic-bkai00mp, latex-cjk-chinese-arphic-bsmi00lp,
 latex-cjk-chinese-arphic-gbsn00lp, latex-cjk-chinese-arphic-gkai00mp
Standards-Version: 3.7.3
Vcs-Browser: http://svn.debian.org/wsvn/ddp/manuals/trunk/debian-faq/
Vcs-Svn: svn://svn.debian.org/ddp/manuals/trunk/debian-faq/
Homepage: http://www.debian.org/doc/user-manuals#faq

Package: debian-faq
Architecture: all
Suggests: www-browser, postscript-viewer
Conflicts: doc-debian (<= 3.1.5)
Description: The Debian FAQ
 In this package you will find the Debian GNU/Linux FAQ, which gives
 frequently asked questions (with their answers!) about the Debian distribution
 (Debian GNU/Linux and others) and about the Debian project.
 Some answers assume some knowledge of Unix-like operating systems.
 However, as little prior knowledge as possible is assumed: answers to general
 beginners questions will be kept simple.
 .
 This document is available at http://www.debian.org/doc/manuals/debian-faq/
 as well as from the Debian ftp server at ftp://ftp.debian.org/debian/doc/FAQ
 and mirrors thereof.
 .
 The document is supplied in HTML, PDF, PostScript and plain text.
 .
 If you're new to Debian, and like to read documentation from your local system,
 without using the network, install this package.

Package: debian-faq-de
Architecture: all
Suggests: www-browser, postscript-viewer
Description: The Debian FAQ, in German
 In this package you will find the Debian GNU/Linux FAQ, which gives
 frequently asked questions (with their answers!) about the Debian distribution
 (Debian GNU/Linux and others) and about the Debian project.
 Some answers assume some knowledge of Unix-like operating systems.
 However, as little prior knowledge as possible is assumed: answers to general
 beginners questions will be kept simple.
 .
 The document is supplied in HTML, PDF, PostScript and plain text.
 .
 This is the translation in German of the original English FAQ (available in the
 package debian-faq.)

Package: debian-faq-fr
Architecture: all
Suggests: www-browser, postscript-viewer
Description: The Debian FAQ, in French
 In this package you will find the Debian GNU/Linux FAQ, which gives
 frequently asked questions (with their answers!) about the Debian distribution
 (Debian GNU/Linux and others) and about the Debian project.
 Some answers assume some knowledge of Unix-like operating systems.
 However, as little prior knowledge as possible is assumed: answers to general
 beginners questions will be kept simple.
 .
 The document is supplied in HTML, PDF, PostScript and plain text.
 .
 This is the translation in French of the original English FAQ (available in the
 package debian-faq.)


Package: debian-faq-it
Architecture: all
Suggests: www-browser, postscript-viewer
Description: The Debian FAQ, in Italian
 In this package you will find the Debian GNU/Linux FAQ, which gives
 frequently asked questions (with their answers!) about the Debian distribution
 (Debian GNU/Linux and others) and about the Debian project.
 Some answers assume some knowledge of Unix-like operating systems.
 However, as little prior knowledge as possible is assumed: answers to general
 beginners questions will be kept simple.
 .
 The document is supplied in HTML, PDF, PostScript and plain text.
 .
 This is the translation in Italian of the original English FAQ (available in
 the package debian-faq.)


Package: debian-faq-zh-cn
Architecture: all
Suggests: www-browser, postscript-viewer
Description: The Debian FAQ, in Chinese
 In this package you will find the Debian GNU/Linux FAQ, which gives
 frequently asked questions (with their answers!) about the Debian distribution
 (Debian GNU/Linux and others) and about the Debian project.
 Some answers assume some knowledge of Unix-like operating systems.
 However, as little prior knowledge as possible is assumed: answers to general
 beginners questions will be kept simple.
 .
 The document is supplied in HTML, PDF, PostScript and plain text.
 .
 This is the translation in Chinese (as spoken in China) of the original English
 FAQ (available in the package debian-faq.)

## debian-faq 4.0.4ubuntu1

=== debian/changelog ===
debian-faq (4.0.4ubuntu1) intrepid; urgency=low

  * debian/rules:
    Don't add "byhand" files as soyuz doesn't support them
    (fixes a "Failed to upload" error).

 -- Michael Bienia <geser@ubuntu.com>  Tue, 23 Sep 2008 20:42:59 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: debian-faq
 Section: doc
 Priority: optional
-Maintainer: Javier Fernandez-Sanguino Pen~a <jfs@debian.org>
+Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
+XSBC-Original-Maintainer: Javier Fernandez-Sanguino Pen~a <jfs@debian.org>
 Uploaders: Pierre Machard <pmachard@debian.org>, Josip Rodin <joy-packages@debian.org>, Joost van Baal <joostvb@debian.org>
 Build-Depends: debhelper (>= 5)
 Build-Depends-Indep: debiandoc-sgml, tetex-bin, tetex-extra, latex-cjk-chinese,

## debian-faq 4.0.4+nmu1

=== debian/changelog ===
debian-faq (4.0.4+nmu1) unstable; urgency=low

  * Non-maintainer upload.
  * Update dependencies for tetex-bin removal (Closes: #562298)

 -- Christoph Egger <christoph@debian.org>  Sun, 03 Jan 2010 16:58:54 +0100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: debian-faq
 Section: doc
 Priority: optional
-Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
-XSBC-Original-Maintainer: Javier Fernandez-Sanguino Pen~a <jfs@debian.org>
+Maintainer: Javier Fernandez-Sanguino Pen~a <jfs@debian.org>
 Uploaders: Pierre Machard <pmachard@debian.org>, Josip Rodin <joy-packages@debian.org>, Joost van Baal <joostvb@debian.org>
 Build-Depends: debhelper (>= 5)
-Build-Depends-Indep: debiandoc-sgml, tetex-bin, tetex-extra, latex-cjk-chinese,
+Build-Depends-Indep: debiandoc-sgml, texlive (>= 2007-11), texlive-latex-extra, latex-cjk-chinese,
  latex-cjk-chinese-arphic-bkai00mp, latex-cjk-chinese-arphic-bsmi00lp,
  latex-cjk-chinese-arphic-gbsn00lp, latex-cjk-chinese-arphic-gkai00mp
 Standards-Version: 3.7.3

=== debian/rules ===
#!/usr/bin/make -f
# derived from sample debian/rules file for GNU hello by Ian Jackson.

tmp = $(CURDIR)/debian/tmp
docdir = $(tmp)/usr/share/doc/debian
basedir = $(CURDIR)/debian/debian-faq
installdir = $(basedir)/usr/share/doc/debian

langs = de fr it zh_CN

build: stamp-build
stamp-build:
	test -f Makefile -a -f debian/rules
	$(MAKE) html text ps pdf langs="$(langs)"
	gzip -9 debian-faq.en.txt debian-faq.en.ps debian-faq.en.pdf
	for l in $(langs); do \
          gzip -9 $$l/debian-faq.$$l.txt $$l/debian-faq.$$l.ps \
           $$l/debian-faq.$$l.pdf; \
        done
	touch $@

clean:
	test -f Makefile -a -f debian/rules
	test "`id -u`" -eq 0
	$(MAKE) clean
	rm -rf $(tmp)
	rm -f *.gz stamp-build debian/files `find . -name "*~"`
	dh_clean

binary: binary-indep binary-arch

binary-arch:

binary-indep: build
	test -f Makefile -a -f debian/rules
	test "`id -u`" -eq 0
	rm -rf $(tmp)

	dh_clean -k

	install -m 755 -d $(tmp)/DEBIAN $(docdir)/FAQ \
          $(tmp)/usr/share/doc-base $(tmp)/usr/share/doc/debian-faq \
          $(installdir)/FAQ $(basedir)/usr/share/doc-base \
          $(basedir)/usr/share/doc/debian-faq
	install -m 644 debian-faq.en.txt.gz debian-faq.en.ps.gz \
                    debian-faq.en.pdf.gz debian-faq.en.html/* $(installdir)/FAQ

	for l in $(langs); do \
          install -m 755 -d $(docdir)/FAQ/$$l; \
          install -m 644 $$l/debian-faq.$$l.txt.gz $$l/debian-faq.$$l.ps.gz \
           $$l/debian-faq.$$l.pdf.gz $(docdir)/FAQ; \
          install -m 644 $$l/debian-faq.$$l.html/* $(docdir)/FAQ/$$l/; \
        done

	cd $(installdir)/FAQ && for file in *.en.html; do \
          ln -s $$file $${file%$${file#$${file%.en.html}}}.html; \
        done
# Make links for the byhands
	ln -sf debian-faq.en.txt.gz $(installdir)/FAQ/debian-faq.txt.gz
	ln -sf debian-faq.en.ps.gz $(installdir)/FAQ/debian-faq.ps.gz
	ln -sf debian-faq.en.pdf.gz $(installdir)/FAQ/debian-faq.pdf.gz
	ln -sf debian-faq.en.pdf.gz $(installdir)/FAQ/debian-faq.pdf.gz

	dh_installdocs
	dh_installchangelogs
	dh_installdirs --all
	dh_install --sourcedir=$(tmp)
	dh_compress --all
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# The extra-package files:
	mv $(installdir)/FAQ/debian-faq.*txt.gz \
           $(installdir)/FAQ/debian-faq.*ps.gz \
           $(installdir)/FAQ/debian-faq.*pdf.gz \
             ../
	cd $(installdir)/FAQ/ && GZIP=-9 tar czf $(CURDIR)/../debian-faq.en.html.tar.gz *

# list them in the .changes file, so that they'll get uploaded properly:
	dpkg-distaddfile debian-faq.en.html.tar.gz byhand -
	dpkg-distaddfile debian-faq.en.txt.gz byhand -
	dpkg-distaddfile debian-faq.en.ps.gz byhand -
	dpkg-distaddfile debian-faq.en.pdf.gz byhand -

.PHONY: build clean binary binary-arch binary-indep

## debian-faq 4.0.4+nmu1ubuntu1

=== Makefile ===
#
# Makefile for the Debian FAQ
#
# Should work both for a manual in the Debian Documentation Project
# manuals.sgml tree, and for doc-debian package build.

manual := debian-faq

currentlang := en
currentlangcn := $(shell echo $(currentlang) | tr A-Z a-z | tr - _)

# this can and will be overridden by a higher level makefile
PUBLISHDIR := /org/www.debian.org/www/doc/manuals

sources := $(manual).sgml faqstatic.ent faqdynamic.ent $(wildcard *.sgml)

langs ?= ru pt_BR it pl es fr de uk zh_CN

export LANG=C
# stupid debiandoc stuff uses strings in another language otherwise

all: html text ps pdf

publish: all
	test -d $(PUBLISHDIR)/$(manual) || install -d -m 755 $(PUBLISHDIR)/$(manual)
	rm -f $(PUBLISHDIR)/$(manual)/*.$(currentlangcn).html
	install -p -m 644 $(manual).$(currentlang).html/*.html $(PUBLISHDIR)/$(manual)
# possible non-POSIX syntax below. fuck POSIX.
	cd $(PUBLISHDIR)/$(manual) && for file in *.en.html; do \
          ln -sf $$file $${file%$${file#$${file%.en.html}}}.html; \
        done
	install -p -m 644 $(manual)*.txt $(manual)*.ps $(manual)*.pdf $(PUBLISHDIR)/$(manual)
	ln -sf $(manual).en.txt $(PUBLISHDIR)/$(manual)/$(manual).txt
	ln -sf $(manual).en.ps $(PUBLISHDIR)/$(manual)/$(manual).ps
	ln -sf $(manual).en.pdf $(PUBLISHDIR)/$(manual)/$(manual).pdf
	for lang in $(langs); do [ ! -d $$lang ] || $(MAKE) -C $$lang $@; done

faqdynamic.ent:
	echo "<!entity docdate \"$(shell LC_ALL=C date +'%-d %B %Y')\">" > faqdynamic.ent
	if [ -f debian/changelog ]; then \
          echo "<!entity docversion \"` LC_ALL=C dpkg-parsechangelog | grep '^Version: ' | sed 's/^Version: *//'`\">" >> faqdynamic.ent; \
        else \
          echo "<!entity docversion \"CVS\">" >> faqdynamic.ent; \
        fi

validate:
	nsgmls -ges -wall $(manual).sgml

html: $(manual).$(currentlang).html/index.$(currentlangcn).html
	for lang in $(langs); do [ ! -d $$lang ] || $(MAKE) -C $$lang $@; done

$(manual).$(currentlang).html/index.$(currentlangcn).html: $(sources)
	rm -rf $(manual).html $(manual).$(currentlang).html
	debiandoc2html -c -l $(currentlang) $<
	mv $(manual).html $(manual).$(currentlang).html

text: $(manual).$(currentlang).txt
	for lang in $(langs); do [ ! -d $$lang ] || $(MAKE) -C $$lang $@; done

$(manual).$(currentlang).txt: $(sources)
	debiandoc2text -l $(currentlang) $<
	mv $(manual).txt $(manual).$(currentlang).txt

$(manual).$(currentlang).info: $(sources)
	debiandoc2info -l $(currentlang) $<
# TODO: rename to .$(currentlang).info?

$(manual).$(currentlang).ps $(manual).$(currentlang).dvi $(manual).$(currentlang).pdf: \
  $(manual).$(currentlang).%: $(sources)
	debiandoc2latex$* -l $(currentlang) $<
	mv $(manual).$* $(manual).$(currentlang).$*

ps dvi pdf info: %: $(manual).$(currentlang).%
	for lang in $(langs); do [ ! -d $$lang ] || $(MAKE) -C $$lang $@; done

clean distclean:
	rm -rf $(manual)*.$(currentlang).html
	rm -f $(manual)*.{txt,ps,dvi,pdf,info*,aux,log,man,tex,toc,out,tpt,sasp*}
	rm -f *.tmp
	rm -f $(manual)*.{txt,ps,pdf}.gz
	rm -f faqdynamic.ent *~ .*~ core tsa*
	for lang in $(langs); do [ ! -d $$lang ] || $(MAKE) -C $$lang $@; done

.PHONY: all publish clean distclean validate

=== debian/changelog ===
debian-faq (4.0.4+nmu1ubuntu1) lucid; urgency=low

  * Merge from debian testing.  Remaining changes:
  Don't add "byhand" files as soyuz doesn't support them

  * Fixes (LP: #531711)

 -- Matt Wheeler <m@funkyhat.org>  Thu, 04 Mar 2010 04:24:43 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: debian-faq
 Section: doc
 Priority: optional
-Maintainer: Javier Fernandez-Sanguino Pen~a <jfs@debian.org>
+Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
+XSBC-Original-Maintainer: Javier Fernandez-Sanguino Pen~a <jfs@debian.org>
 Uploaders: Pierre Machard <pmachard@debian.org>, Josip Rodin <joy-packages@debian.org>, Joost van Baal <joostvb@debian.org>
 Build-Depends: debhelper (>= 5)
 Build-Depends-Indep: debiandoc-sgml, texlive (>= 2007-11), texlive-latex-extra, latex-cjk-chinese,

=== debian/rules ===
--- 
+++ 
@@ -79,10 +79,4 @@
              ../
 	cd $(installdir)/FAQ/ && GZIP=-9 tar czf $(CURDIR)/../debian-faq.en.html.tar.gz *
 
-# list them in the .changes file, so that they'll get uploaded properly:
-	dpkg-distaddfile debian-faq.en.html.tar.gz byhand -
-	dpkg-distaddfile debian-faq.en.txt.gz byhand -
-	dpkg-distaddfile debian-faq.en.ps.gz byhand -
-	dpkg-distaddfile debian-faq.en.pdf.gz byhand -
-
 .PHONY: build clean binary binary-arch binary-indep

## debian-faq 5.0

=== debian/changelog ===
debian-faq (5.0) unstable; urgency=low

  * Team upload
  [ Changes by Joost van Baal-Ilić ]
  * Acknowlegde NMU by Christoph Egger (thanks!) (Closes: #562298)
  * debian/changelog: updated.
  * debian/control: add Depends: ${misc:Depends} to binary packages, as
    suggested by lintian to honor possible debhelper-added dependencies.
  * debian/control: Bump Standards-Version from 3.7.3 to 3.9.1 (no changes
    needed.)
  * debian/control: add priority fields to all binary packages, in order
    to finally get it in sync with Debian archive's override file.
  * debian/control: change Build-Depends-Indep's obsolete tetex-bin,
    tetex-extra into texlive, texlive-latex-extra, texlive-lang-cyrillic
    (thanks lintian and dpkg-genbuilddeps).
  * debian/*{prerm,postinst}: remove these empty files.
  * debian/changelog: convert 1996 entries to new format.
  * debian/copyright: update list of maintainers.
  * software.sgml: update information on djb-ware (qmail etc.) shipped with
    Debian.
  * debian/README.devel: updated.

  [ Changes by Jens Seidel ]
  * de/choosing.sgml: Proofreading by Martin Horoba.  This include typo
    fixes as well as many capitalisations of stable/testing/unstable.
  * de/pkgtools.sgml: A few minor corrections by Martin Horoba.
  * de/ftparchives.sgml: Translation update by Benjamin Eckenfels.

  [ Changes by Osamu Aoki ]
  * pkgtools.sgml: Updated apt-get and aptitude explanation. (Closes: #594512)

  [ Changes by Javier Fernandez-Sanguino ]
  * pkg_basics.sgml: Describe the Breaks relationship and add proper references
    to the Policy Manual
  * ftparchives.sgml: Update release names and add the latest ones too
  * it/*.sgml: Translation update by Beatrice Torracca (Closes: #598960)
  * choosing.sgml: Fix typo reported by Jonathan Vasquez
  * faqstatic.ent, ftparchives.sgml: Update for Squeeze
  * faqstatic.ent: Fix the number of arquitectures
  * pkgtools.sgml: Remove reference to (obsolete) APT HOWTO and point,
    instead, to the Debian Reference. Thanks to James Montgomery for bringing
    up this bug and to Osamu Aoki for the fix.
  * uptodate.sgml: Review the text recommending aptitude for upgrades amongst
    Debian releases as suggested by Nicolas Roeser
    (Message-ID: <4D7CDD6F.50200@ulm.ccc.de>).  Adjust the reference to CDs as
    Debian is also shipped in other media formats.
  * fr/uptodate.sgml, it/uptodate.sgml, uptodate.sgml: Patch Nicolas Roeser
    (Message-ID: <4D84FE49.3040507@ulm.ccc.de>): - Minor typo fix in English
    file; - Updates the Italian and French versions to say that aptitude is
    not the recommended tool for release upgrades instead of the opposite.

  [ Changes by Simon Paillard ]
  * debian/changelog: adapt in order avoid syntax-error-in-debian-changelog
  * debian/control: Add ghostscript to build-deps
  * debian/control: Add myself to uploaders
  * {it,pl,zh_CN}/software.sgml: Replace the deprecated mirror list location
    by the current link
  * zh_CN/contrib.sgml: Fix typo Debian
  * it/choosing.sgml: Add italian translation of choosing.sgml (prevented
    build) file from #598960
  * Add po4a support, thanks to David Prévot and Denis Barbier (Closes:
    #594831)

  [ Changes by David "taffit" Prévot ]
  * fr/ftparchives.sgml: Proofread [Bernard Chomel]
  * fr/uptodate.sgml: Grammar fix

 -- Simon Paillard <spaillard@debian.org>  Sat, 27 Aug 2011 22:33:05 +0200

doc-debian (1.0-3) unstable; urgency=low

  * releasing 1.0-3
  * FAQ updated

 -- Sven Rudolph <sr1@inf.tu-dresden.de>  Fri, 14 Jun 1996 02:19:07

doc-debian (0.2-xx) unstable; urgency=low

  * gzipping all files
  * debian.control: added Architecture field
  * debian.control: formatted Description

 -- Sven Rudolph <sr1@inf.tu-dresden.de> Thu Mar 14 xx:xx:xx 1996

doc-debian (0.1-xx) unstable; urgency=low

  * added Debian GNU/Linux package maintenance system files

 -- Sven Rudolph <sr1@inf.tu-dresden.de> Wed Feb 21 22:53:06 1996

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,26 @@
 Source: debian-faq
 Section: doc
-Priority: optional
-Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
-XSBC-Original-Maintainer: Javier Fernandez-Sanguino Pen~a <jfs@debian.org>
-Uploaders: Pierre Machard <pmachard@debian.org>, Josip Rodin <joy-packages@debian.org>, Joost van Baal <joostvb@debian.org>
+Priority: standard
+Maintainer: Javier Fernandez-Sanguino Pen~a <jfs@debian.org>
+Uploaders: Pierre Machard <pmachard@debian.org>,
+ Josip Rodin <joy-packages@debian.org>, Joost van Baal <joostvb@debian.org>,
+ Simon Paillard <spaillard@debian.org>
 Build-Depends: debhelper (>= 5)
-Build-Depends-Indep: debiandoc-sgml, texlive (>= 2007-11), texlive-latex-extra, latex-cjk-chinese,
+Build-Depends-Indep: debiandoc-sgml, texlive (>= 2007-11), texlive-latex-extra,
+ texlive-lang-cyrillic, latex-cjk-chinese,
  latex-cjk-chinese-arphic-bkai00mp, latex-cjk-chinese-arphic-bsmi00lp,
- latex-cjk-chinese-arphic-gbsn00lp, latex-cjk-chinese-arphic-gkai00mp
-Standards-Version: 3.7.3
+ latex-cjk-chinese-arphic-gbsn00lp, latex-cjk-chinese-arphic-gkai00mp,
+ ghostscript, po4a
+Standards-Version: 3.9.1
 Vcs-Browser: http://svn.debian.org/wsvn/ddp/manuals/trunk/debian-faq/
 Vcs-Svn: svn://svn.debian.org/ddp/manuals/trunk/debian-faq/
 Homepage: http://www.debian.org/doc/user-manuals#faq
 
 Package: debian-faq
+Priority: standard
 Architecture: all
 Suggests: www-browser, postscript-viewer
+Depends: ${misc:Depends}
 Conflicts: doc-debian (<= 3.1.5)
 Description: The Debian FAQ
  In this package you will find the Debian GNU/Linux FAQ, which gives
@@ -35,8 +40,10 @@
  without using the network, install this package.
 
 Package: debian-faq-de
+Priority: optional
 Architecture: all
 Suggests: www-browser, postscript-viewer
+Depends: ${misc:Depends}
 Description: The Debian FAQ, in German
  In this package you will find the Debian GNU/Linux FAQ, which gives
  frequently asked questions (with their answers!) about the Debian distribution
@@ -51,8 +58,10 @@
  package debian-faq.)
 
 Package: debian-faq-fr
+Priority: optional
 Architecture: all
 Suggests: www-browser, postscript-viewer
+Depends: ${misc:Depends}
 Description: The Debian FAQ, in French
  In this package you will find the Debian GNU/Linux FAQ, which gives
  frequently asked questions (with their answers!) about the Debian distribution
@@ -68,8 +77,10 @@
 
 
 Package: debian-faq-it
+Priority: optional
 Architecture: all
 Suggests: www-browser, postscript-viewer
+Depends: ${misc:Depends}
 Description: The Debian FAQ, in Italian
  In this package you will find the Debian GNU/Linux FAQ, which gives
  frequently asked questions (with their answers!) about the Debian distribution
@@ -85,8 +96,10 @@
 
 
 Package: debian-faq-zh-cn
+Priority: optional
 Architecture: all
 Suggests: www-browser, postscript-viewer
+Depends: ${misc:Depends}
 Description: The Debian FAQ, in Chinese
  In this package you will find the Debian GNU/Linux FAQ, which gives
  frequently asked questions (with their answers!) about the Debian distribution
@@ -100,3 +113,5 @@
  This is the translation in Chinese (as spoken in China) of the original English
  FAQ (available in the package debian-faq.)
 
+# $Id: control 8914 2011-08-27 20:33:37Z spaillard $
+# $URL: svn+ssh://svn.debian.org/svn/ddp/manuals/trunk/debian-faq/debian/control $

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,7 @@
 build: stamp-build
 stamp-build:
 	test -f Makefile -a -f debian/rules
-	$(MAKE) html text ps pdf langs="$(langs)"
+	$(MAKE) po4a-translate html text ps pdf langs="$(langs)"
 	gzip -9 debian-faq.en.txt debian-faq.en.ps debian-faq.en.pdf
 	for l in $(langs); do \
           gzip -9 $$l/debian-faq.$$l.txt $$l/debian-faq.$$l.ps \
@@ -79,4 +79,10 @@
              ../
 	cd $(installdir)/FAQ/ && GZIP=-9 tar czf $(CURDIR)/../debian-faq.en.html.tar.gz *
 
+# list them in the .changes file, so that they'll get uploaded properly:
+	dpkg-distaddfile debian-faq.en.html.tar.gz byhand -
+	dpkg-distaddfile debian-faq.en.txt.gz byhand -
+	dpkg-distaddfile debian-faq.en.ps.gz byhand -
+	dpkg-distaddfile debian-faq.en.pdf.gz byhand -
+
 .PHONY: build clean binary binary-arch binary-indep

## debian-faq 5.0ubuntu1

=== debian/changelog ===
debian-faq (5.0ubuntu1) precise; urgency=low

  * Merge from Debian unstable, remaining changes:
    - debian/rules: Don't add "byhand" files as soyuz doesn't support them
      (fixes a "Failed to upload" error).

 -- Felix Geyer <debfx-pkg@fobos.de>  Thu, 20 Oct 2011 23:13:47 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: debian-faq
 Section: doc
 Priority: standard
-Maintainer: Javier Fernandez-Sanguino Pen~a <jfs@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Javier Fernandez-Sanguino Pen~a <jfs@debian.org>
 Uploaders: Pierre Machard <pmachard@debian.org>,
  Josip Rodin <joy-packages@debian.org>, Joost van Baal <joostvb@debian.org>,
  Simon Paillard <spaillard@debian.org>

=== debian/rules ===
--- 
+++ 
@@ -79,10 +79,4 @@
              ../
 	cd $(installdir)/FAQ/ && GZIP=-9 tar czf $(CURDIR)/../debian-faq.en.html.tar.gz *
 
-# list them in the .changes file, so that they'll get uploaded properly:
-	dpkg-distaddfile debian-faq.en.html.tar.gz byhand -
-	dpkg-distaddfile debian-faq.en.txt.gz byhand -
-	dpkg-distaddfile debian-faq.en.ps.gz byhand -
-	dpkg-distaddfile debian-faq.en.pdf.gz byhand -
-
 .PHONY: build clean binary binary-arch binary-indep

## debian-faq 5.0.1

=== debian/changelog ===
debian-faq (5.0.1) unstable; urgency=low

  * Team upload
  [ Changes by Simon Paillard ]
  * debian/control: remove Pierre Machard from uploaders (Closes: #637645)
  * Update French translation

  [ Changes by Javier Fernández-Sanguino ]
  * software.sgml: fix typo (Closes: Bug#639643)
  * compat.sgml: Remove the reference to Motif applications (Closes: #646796)
  * compat.sgml: Update the information relative to current ports using
    http://www.debian.org/ports/index.en.html as main reference:
      - Remove ports which were dropped in Squeeze
      - Add information on ports to other kernels (non-Linux ports)
    Also, fix some formatting:
      - turn all the lists into proper lists (instead of paragraphs)
      - reorder alphabetically the ports to make it easier to compare to
        lists in the Ports page or the Release Notes

  [ Changes by David "taffit" Prévot ]
  * support.sgml, it/support.sgml, po4a/po/debian-faq.pot, po4a/po/fr.po,
    uk/support.sgml: Respect CN on the website
  * ftparchives.sgml: remove useless (R).
  * Handle Russian and Italian translation with po4a (Closes: #419544)
  * Update Russian translation, thanks to Yuri Kozlov (Closes: #508818,
    #664198)
  * Update Italian translation, thanks to Beatrice Torracca
  * debian/control:
    - Add Russian package
    - Remove article in short description
    - Bump Standards-Version to 3.9.3 (no changes needed)
  * debian/rules: Add build-arch and build-indep targets

 -- David Prévot <taffit@debian.org>  Sat, 17 Mar 2012 14:24:10 -0400

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,16 @@
 Source: debian-faq
 Section: doc
 Priority: standard
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Javier Fernandez-Sanguino Pen~a <jfs@debian.org>
-Uploaders: Pierre Machard <pmachard@debian.org>,
- Josip Rodin <joy-packages@debian.org>, Joost van Baal <joostvb@debian.org>,
- Simon Paillard <spaillard@debian.org>
+Maintainer: Javier Fernandez-Sanguino Pen~a <jfs@debian.org>
+Uploaders: Josip Rodin <joy-packages@debian.org>, 
+ Joost van Baal <joostvb@debian.org>, Simon Paillard <spaillard@debian.org>
 Build-Depends: debhelper (>= 5)
 Build-Depends-Indep: debiandoc-sgml, texlive (>= 2007-11), texlive-latex-extra,
  texlive-lang-cyrillic, latex-cjk-chinese,
  latex-cjk-chinese-arphic-bkai00mp, latex-cjk-chinese-arphic-bsmi00lp,
  latex-cjk-chinese-arphic-gbsn00lp, latex-cjk-chinese-arphic-gkai00mp,
  ghostscript, po4a
-Standards-Version: 3.9.1
+Standards-Version: 3.9.3
 Vcs-Browser: http://svn.debian.org/wsvn/ddp/manuals/trunk/debian-faq/
 Vcs-Svn: svn://svn.debian.org/ddp/manuals/trunk/debian-faq/
 Homepage: http://www.debian.org/doc/user-manuals#faq
@@ -23,7 +21,7 @@
 Suggests: www-browser, postscript-viewer
 Depends: ${misc:Depends}
 Conflicts: doc-debian (<= 3.1.5)
-Description: The Debian FAQ
+Description: Debian FAQ
  In this package you will find the Debian GNU/Linux FAQ, which gives
  frequently asked questions (with their answers!) about the Debian distribution
  (Debian GNU/Linux and others) and about the Debian project.
@@ -45,7 +43,7 @@
 Architecture: all
 Suggests: www-browser, postscript-viewer
 Depends: ${misc:Depends}
-Description: The Debian FAQ, in German
+Description: Debian FAQ, in German
  In this package you will find the Debian GNU/Linux FAQ, which gives
  frequently asked questions (with their answers!) about the Debian distribution
  (Debian GNU/Linux and others) and about the Debian project.
@@ -63,7 +61,7 @@
 Architecture: all
 Suggests: www-browser, postscript-viewer
 Depends: ${misc:Depends}
-Description: The Debian FAQ, in French
+Description: Debian FAQ, in French
  In this package you will find the Debian GNU/Linux FAQ, which gives
  frequently asked questions (with their answers!) about the Debian distribution
  (Debian GNU/Linux and others) and about the Debian project.
@@ -82,7 +80,7 @@
 Architecture: all
 Suggests: www-browser, postscript-viewer
 Depends: ${misc:Depends}
-Description: The Debian FAQ, in Italian
+Description: Debian FAQ, in Italian
  In this package you will find the Debian GNU/Linux FAQ, which gives
  frequently asked questions (with their answers!) about the Debian distribution
  (Debian GNU/Linux and others) and about the Debian project.
@@ -96,12 +94,31 @@
  the package debian-faq.)
 
 
+Package: debian-faq-ru
+Priority: optional
+Architecture: all
+Suggests: www-browser, postscript-viewer
+Depends: ${misc:Depends}
+Description: Debian FAQ, in Russian
+ In this package you will find the Debian GNU/Linux FAQ, which gives
+ frequently asked questions (with their answers!) about the Debian distribution
+ (Debian GNU/Linux and others) and about the Debian project.
+ Some answers assume some knowledge of Unix-like operating systems.
+ However, as little prior knowledge as possible is assumed: answers to general
+ beginners questions will be kept simple.
+ .
+ The document is supplied in HTML, PDF, PostScript and plain text.
+ .
+ This is the translation in Russian of the original English FAQ (available in
+ the package debian-faq.)
+
+
 Package: debian-faq-zh-cn
 Priority: optional
 Architecture: all
 Suggests: www-browser, postscript-viewer
 Depends: ${misc:Depends}
-Description: The Debian FAQ, in Chinese
+Description: Debian FAQ, in Chinese
  In this package you will find the Debian GNU/Linux FAQ, which gives
  frequently asked questions (with their answers!) about the Debian distribution
  (Debian GNU/Linux and others) and about the Debian project.
@@ -114,5 +131,5 @@
  This is the translation in Chinese (as spoken in China) of the original English
  FAQ (available in the package debian-faq.)
 
-# $Id: control 8914 2011-08-27 20:33:37Z spaillard $
+# $Id: control 9147 2012-03-17 17:11:44Z taffit $
 # $URL: svn+ssh://svn.debian.org/svn/ddp/manuals/trunk/debian-faq/debian/control $

=== debian/rules ===
--- 
+++ 
@@ -6,9 +6,11 @@
 basedir = $(CURDIR)/debian/debian-faq
 installdir = $(basedir)/usr/share/doc/debian
 
-langs = de fr it zh_CN
+langs = de fr it ru zh_CN
 
-build: stamp-build
+build: build-arch build-indep
+build-arch: stamp-build
+build-indep: stamp-build
 stamp-build:
 	test -f Makefile -a -f debian/rules
 	$(MAKE) po4a-translate html text ps pdf langs="$(langs)"
@@ -79,4 +81,10 @@
              ../
 	cd $(installdir)/FAQ/ && GZIP=-9 tar czf $(CURDIR)/../debian-faq.en.html.tar.gz *
 
+# list them in the .changes file, so that they'll get uploaded properly:
+	dpkg-distaddfile debian-faq.en.html.tar.gz byhand -
+	dpkg-distaddfile debian-faq.en.txt.gz byhand -
+	dpkg-distaddfile debian-faq.en.ps.gz byhand -
+	dpkg-distaddfile debian-faq.en.pdf.gz byhand -
+
 .PHONY: build clean binary binary-arch binary-indep

## debian-faq 5.0.1ubuntu1

=== debian/changelog ===
debian-faq (5.0.1ubuntu1) raring; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/rules: Don't add "byhand" files as soyuz doesn't support them
      (fixes a "Failed to upload" error).

 -- Mahyuddin Susanto <udienz@ubuntu.com>  Sun, 25 Nov 2012 19:53:04 +0700
